/*
 * This is part of XmlEditor, a graphical editor for XML files
 * Copyright (C) 2001 CERN - Sebastien Ponce
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contacts :
 *   sebastien.ponce@polytechnique.org
 *   http://lhcb-comp.web.cern.ch/lhcb-comp/
 *   http://www.cern.ch
 */

package ch.cern.lhcb.xmleditor.undo;

import javax.swing.undo.UndoableEdit;

import org.w3c.dom.Document;

/**
 * this is an interface defining a conditonnalDie for Edits. This die is
 * conditionnal to a Document.
 */

public interface DocumentUndoableEdit extends UndoableEdit {

    /**
     * makes this edit die if it is associated to the Document document. Returns
     * true if it died, false if not.
     * 
     * @param document a document
     * @return true if it died, false if not
     */
    public boolean conditionnalDieAndTrim(Document document);

}